Subject: Re: deadlocks if use htb

From: Badalian Vyacheslav <[email-masked]>
Date: Fri, 16 Jan 2009 09:51:37 +0300

Chris Caputo пишет:
> On Thu, 15 Jan 2009, Jarek Poplawski wrote:
>   
>> On Thu, Jan 15, 2009 at 12:00:50PM +0000, Chris Caputo wrote:
>> ...
>>     
>>> I wish I had a repro scenario in a non-production environment, so I could 
>>> help out further with this.  If I did, I would test without nmi_watchdog 
>>> while trying just 2.6.28 and Jarek's #4 patch.
>>>       
>> I think this watchdog doesn't matter too much yet. Probably it's more
>> about hardware (smp, maybe kind of hw timer), and high traffic vs. htb
>> rules.
>>     
>
> Per Thomas' comment in http://bugzilla.kernel.org/show_bug.cgi?id=10944 
> regarding broken hrtimers:
>
> --
>   nmi_watchdog=1 disables the local apic timers and therefor highres/nohz
>
>   Try to use nmi_watchdog=2 instead.
> --
>
> Chris
>
>
>   
Oh... after first deadlocks i add nmi_watchdog=1 to kernel and test with
it. Is this result what highres/nohz
allways on and my message where i say what test bug which highres/nohz
on/off is wrong?